Create output
- Base URL
-
https://{kibana_url}
- POST /api/fleet/outputs
Create a new Fleet output.
Required authorization
- Privileges fleet-settings-all
Authentication
Authorization: <value>
These APIs use key-based authentication. You must create an API key and use the encoded value in the request header. For example: Authorization: ApiKey base64AccessApiKey
Authorization: Basic <credentials>
Request body
One of:
type: elasticsearch
type: remote_elasticsearch
-
shipperobject -
Same fields as
shipperinnew_output_elasticsearch
type: kafka
-
proxy_idstringnullable deprecated -
Kafka outputs do not support proxy configuration. This field is accepted for backwards compatibility but is ignored — it is cleared to null on save and has no effect on the compiled agent policy.
-
shipperobject -
Same fields as
shipperinnew_output_elasticsearch
Responses
Successful response
-
itemunion oneOfrequired -
One of:
(determined by
type) -
shipperobject -
Same fields as
shipperinoutput_response_elasticsearch -
proxy_idstringnullable deprecated -
Kafka outputs do not support proxy configuration. This field is accepted for backwards compatibility but is ignored — it is cleared to null on save and has no effect on the compiled agent policy.
-
shipperobject -
Same fields as
shipperinoutput_response_elasticsearch
type: elasticsearch
type: remote_elasticsearch
type: kafka